Appointments table to be sortable & add filters

10/02/2022 23:06 - Sara Schenkel

Status: Closed Start date: 10/02/2022

Priority: Normal Due date: 03/05/2022

Assignee: Moses Chawawa % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Please allow the Appointment table to be sorted by all column titles (for example, due date , type of visit, etc)

Also add a filter option.

History

#1 - 15/02/2022 13:27 - Itumeleng Mosweu

- Due date set to 23/02/2022

#2 - 21/02/2022 12:37 - Itumeleng Mosweu

- Due date changed from 23/02/2022 to 02/03/2022

#3 - 03/03/2022 13:06 - Itumeleng Mosweu

- Due date changed from 02/03/2022 to 10/03/2022

#4 - 10/03/2022 09:50 - Itumeleng Mosweu

- Assignee changed from Itumeleng Mosweu to Moses Chawawa

#5 - 10/03/2022 09:51 - Moses Chawawa

- Due date changed from 10/03/2022 to 15/03/2022

#6 - 14/03/2022 14:05 - Moses Chawawa

- Status changed from New to In Progress

#7 - 17/03/2022 13:12 - Moses Chawawa

- Status changed from In Progress to Resolved

#8 - 05/04/2022 11:16 - Moses Chawawa

- Due date changed from 15/03/2022 to 05/04/2022

#9 - 12/04/2022 12:25 - Moses Chawawa

- Due date changed from 05/04/2022 to 11/04/2022

#10 - 22/04/2022 12:33 - Gosego Masasa

- File Screenshot 2022-04-22 at 12.28.05.png added

- Status changed from Resolved to Feedback

UAT Feedback;

1.Scheduled date to be "Appointment date" and also rename it to "Appointment date" 

2. Use "latest due date" to validate "15 days before due date filter"- if the validation already exist, kindly review it because there are some PIDs that are not

within 15 days window which are appearing with the same filter e.g 705-1(see attached screenshot)

13/05/2025 1/2



3. Add ability to filter by "Post the due date"- This should reflect ALL appointments passed the Latest due date.

4. Under 15 days before due filter, add the REMAINING DAYS TO 15 DAYS column, and let the days countdown to the 15 days period and even after the

15 days PERIOD.

#11 - 03/05/2022 14:50 - Moses Chawawa

- Due date changed from 11/04/2022 to 03/05/2022

- Status changed from Feedback to Resolved

#12 - 11/05/2022 09:56 - Gosego Masasa

- Status changed from Resolved to Closed

Tested and issue is now resolved. ticket would be closed for now

Files
